[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#210915: base-installer fails installing queued packages if one of them fails



Package: base-installer
Version: 0.029 (not installed)
Severity: important
Tags: patch

If multiple extra packages are queued for installation, base-installer
sends them all to apt-install at the same time, which fails if one of
them is not installable. Please see the included patch, which makes it
install the packages one by one, which might be a little slower but is a
lot safer.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dessverre 2.4.20-k7 #1 Tue Jan 14 00:29:06 EST 2003 i686
Locale: LANG=C, LC_CTYPE=en_US.ISO8859-1

Index: debian/postinst
===================================================================
RCS file: /cvs/debian-boot/debian-installer/tools/base-installer/debian/postinst,v
retrieving revision 1.47
diff -u -r1.47 postinst
--- debian/postinst	30 Jul 2003 08:46:30 -0000	1.47
+++ debian/postinst	14 Sep 2003 17:21:08 -0000
@@ -133,7 +133,10 @@
 db_progress INFO base-installer/apt/progress/step_install
 
 if [ -f /var/lib/apt-install/queue ] ; then
-    apt-install `cat /var/lib/apt-install/queue` || true
+    # We need to install these one by one in case one of them fails.
+    for PKG in `cat /var/lib/apt-install/queue`; do
+        apt-install $PKG || true
+    done
 fi
 
 db_progress STEP 1

Reply to: